summaryrefslogtreecommitdiffstats
path: root/graphics/kipi-plugins
diff options
context:
space:
mode:
author Frank Caraballo <fecaraballo{at}gmail{dot}com>2010-05-12 17:39:59 +0200
committer David Somero <xgizzmo@slackbuilds.org>2010-05-12 17:39:59 +0200
commit357e0acdaf4df60a8cccdf0724a45cc1fa00bd19 (patch)
treee35fad58b82fa5da37aa83a05240b8daa2ad12fd /graphics/kipi-plugins
parente173794e38811c3d1755354586b8874039178555 (diff)
downloadslackbuilds-357e0acdaf4df60a8cccdf0724a45cc1fa00bd19.tar.gz
slackbuilds-357e0acdaf4df60a8cccdf0724a45cc1fa00bd19.tar.xz
graphics/kipi-plugins: Updated for version 0.1.7
Diffstat (limited to 'graphics/kipi-plugins')
-rw-r--r--graphics/kipi-plugins/README13
-rw-r--r--graphics/kipi-plugins/kipi-plugins.SlackBuild28
-rw-r--r--graphics/kipi-plugins/kipi-plugins.info10
-rw-r--r--graphics/kipi-plugins/slack-desc22
4 files changed, 35 insertions, 38 deletions
diff --git a/graphics/kipi-plugins/README b/graphics/kipi-plugins/README
index 61ce80cea7..88dacb243e 100644
--- a/graphics/kipi-plugins/README
+++ b/graphics/kipi-plugins/README
@@ -1,8 +1,7 @@
-Kipi Plugins are additional functions for the KDE Images
-Managment Host Programs (digiKam, KimDaBa, ShowImg,
-and Gwenview). They can add extra menus and shortcuts,
-and extend the host programs features. You can install
-as many or as few as you like, from within host programs.
+Kipi Plugins are additional functions for the KDE Images Managment
+Host Programs (digiKam, KimDaBa, ShowImg, and Gwenview). They can add
+extra menus and shortcuts, and extend the host programs features. You
+can install as many or as few as you like, from within host programs.
-exiv2, libgphoto2, libkdcraw, libkexiv2, and libkipi (also
-available at SBo) are required to build Kipi Plugins.
+exiv2, libkdcraw, libkexiv2, and libkipi (available at SBo) are
+required to build Kipi Plugins.
diff --git a/graphics/kipi-plugins/kipi-plugins.SlackBuild b/graphics/kipi-plugins/kipi-plugins.SlackBuild
index 4c13e41c4d..60148be143 100644
--- a/graphics/kipi-plugins/kipi-plugins.SlackBuild
+++ b/graphics/kipi-plugins/kipi-plugins.SlackBuild
@@ -2,7 +2,7 @@
# Slackware build script for Kipi Plugins
-# Copyright 2007-2008 Frank Caraballo <fecaraballo{at}gmail{dot}com>
+# Copyright 2007-2009 Frank Caraballo <fecaraballo{at}gmail{dot}com>
# All rights reserved.
#
# Redistribution and use of this script, with or without modification, is
@@ -23,7 +23,7 @@
# ADVISED OF THE POSSIBILITY OF SUCH DAMAGE.
PRGNAM=kipi-plugins
-VERSION=0.1.5
+VERSION=${VERSION:-0.1.7}
ARCH=${ARCH:-i486}
BUILD=${BUILD:-1}
TAG=${TAG:-_SBo}
@@ -33,19 +33,19 @@ TMP=${TMP:-/tmp/SBo}
PKG=$TMP/package-$PRGNAM
OUTPUT=${OUTPUT:-/tmp}
-DOCS="AUTHORS ChangeLog COPYING INSTALL NEWS PACKAGING README RELEASE.rev TODO"
-
if [ "$ARCH" = "i486" ]; then
SLKCFLAGS="-O2 -march=i486 -mtune=i686"
elif [ "$ARCH" = "i686" ]; then
SLKCFLAGS="-O2 -march=i686 -mtune=i686"
+elif [ "$ARCH" = "x86_64" ]; then
+ SLKCFLAGS="-O2 -fPIC"
fi
rm -rf $PKG
mkdir -p $TMP $PKG $OUTPUT
cd $TMP || exit 1
rm -rf $PRGNAM-$VERSION
-tar xvf $CWD/$PRGNAM-$VERSION.tar.bz2 || exit 1
+tar xvf $CWD/$PRGNAM-$VERSION.tar.?z* || exit 1
cd $PRGNAM-$VERSION || exit 1
chown -R root:root .
find . \
@@ -54,32 +54,30 @@ find . \
\( -perm 666 -o -perm 664 -o -perm 600 -o -perm 444 -o -perm 440 -o -perm 400 \) \
-exec chmod 644 {} \;
+KDEPREF=$(kde-config --prefix) || exit 1
+
CFLAGS="$SLKCFLAGS" \
CXXFLAGS="$SLKCFLAGS" \
./configure \
- --prefix=/usr \
+ --prefix=$KDEPREF \
--sysconfdir=/etc \
--localstatedir=/var \
- --mandir=/usr/man \
- --program-prefix="" \
- --program-suffix="" \
- --disable-debug \
- --enable-shared=yes \
- --enable-static=no \
+ --mandir=$KDEPREF/man \
+ --build=$ARCH-slackware-linux \
|| exit 1
make || exit 1
make install-strip DESTDIR=$PKG || exit 1
-( cd $PKG//usr/man
+( cd $PKG/$KDEPREF/man
find . -type f -exec gzip -9 {} \;
for i in $( find . -type l ) ; do ln -s $( readlink $i ).gz $i.gz ; rm $i ; done
)
mkdir -p $PKG/usr/doc/$PRGNAM-$VERSION
-cp -a $DOCS $PKG/usr/doc/$PRGNAM-$VERSION
+cp -a AUTHORS ChangeLog COPYING INSTALL NEWS PACKAGING README RELEASE.rev TODO \
+ $PKG/usr/doc/$PRGNAM-$VERSION
cat $CWD/$PRGNAM.SlackBuild > $PKG/usr/doc/$PRGNAM-$VERSION/$PRGNAM.SlackBuild
-find $PKG/usr/doc/$PRGNAM-$VERSION -type f -exec chmod 644 {} \;
mkdir -p $PKG/install
cat $CWD/slack-desc > $PKG/install/slack-desc
diff --git a/graphics/kipi-plugins/kipi-plugins.info b/graphics/kipi-plugins/kipi-plugins.info
index c1f4df3d47..d4c9ec8b77 100644
--- a/graphics/kipi-plugins/kipi-plugins.info
+++ b/graphics/kipi-plugins/kipi-plugins.info
@@ -1,8 +1,8 @@
PRGNAM="kipi-plugins"
-VERSION="0.1.5"
-HOMEPAGE="http://extragear.kde.org/apps/kipi/"
-DOWNLOAD="http://downloads.sourceforge.net/kipi/kipi-plugins-0.1.5.tar.bz2"
-MD5SUM="099122d802530d22e69b314b3e97e30b"
+VERSION="0.1.7"
+HOMEPAGE="http://www.kipi-plugins.org/"
+DOWNLOAD="http://downloads.sourceforge.net/kipi/kipi-plugins-0.1.7.tar.bz2"
+MD5SUM="e746988ca6e46c9c43d76132b8acb139"
MAINTAINER="Frank Caraballo"
EMAIL="fecaraballo{at}gmail{dot}com"
-APPROVED="rworkman"
+APPROVED="dsomero"
diff --git a/graphics/kipi-plugins/slack-desc b/graphics/kipi-plugins/slack-desc
index 94197c9417..58fc361e0f 100644
--- a/graphics/kipi-plugins/slack-desc
+++ b/graphics/kipi-plugins/slack-desc
@@ -1,19 +1,19 @@
# HOW TO EDIT THIS FILE:
# The "handy ruler" below makes it easier to edit a package description. Line
-# up the first '|' above the ':' following the base package name, and the '|'
-# on the right side marks the last column you can put a character in. You must
-# make exactly 11 lines for the formatting to be correct. It's also
-# customary to leave one space after the ':'.
+# up the first '|' above the ':' following the base package name, and the '|' on
+# the right side marks the last column you can put a character in. You must make
+# exactly 11 lines for the formatting to be correct. It's also customary to
+# leave one space after the ':'.
- |-----handy-ruler------------------------------------------------------|
+ |-----handy-ruler------------------------------------------------------|
kipi-plugins: Kipi Plugins (Plugins for libKipi)
kipi-plugins:
-kipi-plugins: Kipi Plugins are additional functions for the KDE Images
-kipi-plugins: Managment Host Programs (digiKam, KimDaBa, ShowImg,
-kipi-plugins: and Gwenview). They can add extra menus and shortcuts,
-kipi-plugins: and extend the host programs features. You can install
-kipi-plugins: as many or as few as you like, from within host programs.
+kipi-plugins: Kipi Plugins are additional functions for the KDE Images Managment
+kipi-plugins: Host Programs (digiKam, KimDaBa, ShowImg, and Gwenview). They can add
+kipi-plugins: extra menus and shortcuts, and extend the host programs features. You
+kipi-plugins: can install as many or as few as you like, from within host programs.
+kipi-plugins:
+kipi-plugins: Homepage: http://www.kipi-plugins.org/
kipi-plugins:
-kipi-plugins: Homepage: http://extragear.kde.org/apps/kipi/
kipi-plugins:
kipi-plugins: